WinShopAPI docs
ReferenceProduct

Delete a product photo

Empties the photo slot given by `photoNumber` and returns 204. Requires `Permissions.Product.Update`.

DELETE
/api/products/{productId}/photo

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32

Query Parameters

photoNumber?integer
Formatint32

Response Body

response?unknownapplication/octet-stream
curl -X DELETE 'https://<your-instance>/api/products/0/photo' \  -H 'Authorization: Bearer <access-token>'
null